
_LCD_Wait_BF:

;lcd_interfacing.c,3 :: 		void LCD_Wait_BF ()
;lcd_interfacing.c,5 :: 		TRISD = 0xFF;
	MOVLW       255
	MOVWF       TRISD+0 
;lcd_interfacing.c,6 :: 		LCD_RS = 0;
	BCF         RC0_bit+0, 0 
;lcd_interfacing.c,7 :: 		LCD_RW = 1;
	BSF         RC1_bit+0, 1 
;lcd_interfacing.c,8 :: 		LCD_EN = 1;
	BSF         RC2_bit+0, 2 
;lcd_interfacing.c,9 :: 		while (LCD_BF)
L_LCD_Wait_BF0:
	BTFSS       RD7_bit+0, 7 
	GOTO        L_LCD_Wait_BF1
;lcd_interfacing.c,11 :: 		LCD_EN = 0;
	BCF         RC2_bit+0, 2 
;lcd_interfacing.c,12 :: 		LCD_EN = 1;
	BSF         RC2_bit+0, 2 
;lcd_interfacing.c,13 :: 		}
	GOTO        L_LCD_Wait_BF0
L_LCD_Wait_BF1:
;lcd_interfacing.c,14 :: 		LCD_EN = 0;
	BCF         RC2_bit+0, 2 
;lcd_interfacing.c,15 :: 		TRISD = 0x00;
	CLRF        TRISD+0 
;lcd_interfacing.c,16 :: 		}
	RETURN      0
; end of _LCD_Wait_BF

_LCD_Init_LCD:

;lcd_interfacing.c,18 :: 		void LCD_Init_LCD ()
;lcd_interfacing.c,20 :: 		LCD_Write_Command(0x34); // 8-bit interface, 1 line, 5x10-dot font
	MOVLW       52
	MOVWF       FARG_LCD_Write_Command_cmd+0 
	CALL        _LCD_Write_Command+0, 0
;lcd_interfacing.c,21 :: 		LCD_Write_Command(0x0E); // Display ON, Cursor ON, Blink OFF
	MOVLW       14
	MOVWF       FARG_LCD_Write_Command_cmd+0 
	CALL        _LCD_Write_Command+0, 0
;lcd_interfacing.c,23 :: 		LCD_Write_Command(0x06); // Entry Mode: I/D: 1 [increment], S: 0 [don't accompany display shift]
	MOVLW       6
	MOVWF       FARG_LCD_Write_Command_cmd+0 
	CALL        _LCD_Write_Command+0, 0
;lcd_interfacing.c,24 :: 		LCD_Write_Command(0x80); // set DDRAM adress
	MOVLW       128
	MOVWF       FARG_LCD_Write_Command_cmd+0 
	CALL        _LCD_Write_Command+0, 0
;lcd_interfacing.c,26 :: 		LCD_Write_Data('M');
	MOVLW       77
	MOVWF       FARG_LCD_Write_Data_dat+0 
	CALL        _LCD_Write_Data+0, 0
;lcd_interfacing.c,27 :: 		}
	RETURN      0
; end of _LCD_Init_LCD

_LCD_Write_Command:

;lcd_interfacing.c,29 :: 		void LCD_Write_Command (unsigned char cmd)
;lcd_interfacing.c,31 :: 		LCD_Data = cmd;
	MOVF        FARG_LCD_Write_Command_cmd+0, 0 
	MOVWF       PORTD+0 
;lcd_interfacing.c,32 :: 		LCD_RS = 0;
	BCF         RC0_bit+0, 0 
;lcd_interfacing.c,33 :: 		LCD_RW = 0;
	BCF         RC1_bit+0, 1 
;lcd_interfacing.c,34 :: 		LCD_EN = 1;
	BSF         RC2_bit+0, 2 
;lcd_interfacing.c,35 :: 		LCD_EN = 0;
	BCF         RC2_bit+0, 2 
;lcd_interfacing.c,37 :: 		LCD_Wait_BF();
	CALL        _LCD_Wait_BF+0, 0
;lcd_interfacing.c,38 :: 		}
	RETURN      0
; end of _LCD_Write_Command

_LCD_Write_Data:

;lcd_interfacing.c,40 :: 		void LCD_Write_Data (unsigned char dat)
;lcd_interfacing.c,42 :: 		LCD_Data = dat;
	MOVF        FARG_LCD_Write_Data_dat+0, 0 
	MOVWF       PORTD+0 
;lcd_interfacing.c,43 :: 		LCD_RS = 1;
	BSF         RC0_bit+0, 0 
;lcd_interfacing.c,44 :: 		LCD_RW = 0;
	BCF         RC1_bit+0, 1 
;lcd_interfacing.c,45 :: 		LCD_EN = 1;
	BSF         RC2_bit+0, 2 
;lcd_interfacing.c,46 :: 		LCD_EN = 0;
	BCF         RC2_bit+0, 2 
;lcd_interfacing.c,48 :: 		LCD_Wait_BF();
	CALL        _LCD_Wait_BF+0, 0
;lcd_interfacing.c,49 :: 		}
	RETURN      0
; end of _LCD_Write_Data

_LCD_Write_String:

;lcd_interfacing.c,51 :: 		void LCD_Write_String(unsigned char* str)
;lcd_interfacing.c,53 :: 		while (str[0] != '\0')
L_LCD_Write_String2:
	MOVFF       FARG_LCD_Write_String_str+0, FSR0L
	MOVFF       FARG_LCD_Write_String_str+1, FSR0H
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_Write_String3
;lcd_interfacing.c,55 :: 		LCD_Write_Data(str[0]);
	MOVFF       FARG_LCD_Write_String_str+0, FSR0L
	MOVFF       FARG_LCD_Write_String_str+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_LCD_Write_Data_dat+0 
	CALL        _LCD_Write_Data+0, 0
;lcd_interfacing.c,56 :: 		str++;
	INFSNZ      FARG_LCD_Write_String_str+0, 1 
	INCF        FARG_LCD_Write_String_str+1, 1 
;lcd_interfacing.c,57 :: 		}
	GOTO        L_LCD_Write_String2
L_LCD_Write_String3:
;lcd_interfacing.c,58 :: 		}
	RETURN      0
; end of _LCD_Write_String
