#include "lcd_interfacing.h"

void LCD_Wait_BF ()
{
    TRISD = 0xFF;
    LCD_RS = 0;
    LCD_RW = 1;
    LCD_EN = 1;
    while (LCD_BF)
    {
        LCD_EN = 0;
        LCD_EN = 1;
    }
    LCD_EN = 0;
    TRISD = 0x00;
}

void LCD_Init_LCD ()
{
    LCD_Write_Command(0x34); // 8-bit interface, 1 line, 5x10-dot font
    LCD_Write_Command(0x0E); // Display ON, Cursor ON, Blink OFF
    //LCD_Write_Command(0x01); // clear dispalay
    LCD_Write_Command(0x06); // Entry Mode: I/D: 1 [increment], S: 0 [don't accompany display shift]
    LCD_Write_Command(0x80); // set DDRAM adress
    
    LCD_Write_Data('M');
}

void LCD_Write_Command (unsigned char cmd)
{
    LCD_Data = cmd;
    LCD_RS = 0;
    LCD_RW = 0;
    LCD_EN = 1;
    LCD_EN = 0;
    
    LCD_Wait_BF();
}

void LCD_Write_Data (unsigned char dat)
{
    LCD_Data = dat;
    LCD_RS = 1;
    LCD_RW = 0;
    LCD_EN = 1;
    LCD_EN = 0;
    
    LCD_Wait_BF();
}

void LCD_Write_String(unsigned char* str)
{
    while (str[0] != '\0')
    {
        LCD_Write_Data(str[0]);
        str++;
    }
}